osdir.com


[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Camel Metrics Component v 2.23.0


Hello,

I've run into an issue with the Camel Metrics component in v2.23.0 which
appears to be due to the change in the io.dropwizard.metrics metrics-core
libraries from v3.x to 4.x.  When enabling Jmx support for the
MetricsRoutePolicyFactory, this causes an exception loading the JmxReporter
class.  It appears this is because the JMX support was migrated out of the
metrics-core libraries in v4.x which has a different path to the
JmxReporter class.

Has anyone solved this in v2.23 of the Component?  I've reverted back to
2.22 which appears to be working but would like to move up to v2.23 for the
new FHIR component and updated Spring version support.

Thanks,

Larry Shields